Bug 121559 - (NS83820)The ns83820 driver is buggy
Summary: (NS83820)The ns83820 driver is buggy
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-22 22:45 UTC by Glen
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 20:22:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Glen 2004-04-22 22:45:40 UTC
Description of problem:
So I've just upgraded a number of our machines from Red Hat 7.3 to
Fedora Core 1.  I've noticed that a number of them are having trouble
with their network cards now.  If I try and do anything network
related then the machines will just hang or time out.  If I look at
the output of the dmesg command I see errors like so:

eth0: ns83820_tx_watch: 0 3 3
eth0: tx_timeout: tx_done_idx=0 free_idx=3 cmdsts=2800002a
eth0: after: tx_done_idx=3 free_idx=3 cmdsts=00000000
eth0: ns83820_tx_watch: 3 4 1
eth0: tx_timeout: tx_done_idx=3 free_idx=4 cmdsts=0800002a
eth0: after: tx_done_idx=4 free_idx=4 cmdsts=00000000
eth0: ns83820_tx_watch: 4 7 3
eth0: tx_timeout: tx_done_idx=4 free_idx=7 cmdsts=0800002a
eth0: after: tx_done_idx=7 free_idx=7 cmdsts=00000000

If I shut down the network service, unload the ns83820 module, and
then restart the network service it usually fixes the problem.  None
of this ever happened on Red Hat 7.3.


Version-Release number of selected component (if applicable):
kernel-smp-2.4.22-1.2179.nptl


How reproducible:
Happens half the time after I boot the machines.


Steps to Reproduce:
1.  Boot a machine.
2.
3.
  
Actual results:
Sometimes the network won't work and I'll see those errors in the
output of dmesg.


Expected results:
I expect things to work fine like they did under Red Hat 7.3


Additional info:
The network cards in question are Netgear GA311 Gigabit PCI cards.

Comment 1 Glen 2004-04-26 21:52:57 UTC
I've just noticed that this will happen ocassionally long after the
machine has booted and/or I've fixed things by unloading and loading
the module again.

Comment 2 Glen 2004-05-07 21:32:03 UTC
My boss said he found a solution: turn off kudzu at boot time. 
However, I haven't tested this theory yet.

Comment 3 John Bassett 2004-06-23 04:51:39 UTC
I've got an SMC9452TX card that IDs as a National Semiconductor 83820.
This error cropped up during the install of Fedora Core 2, so I had to
fall back to the onboard NIC. Post install, same problem remains.
Update to 2.6.6-1.435 -- problem remains. Shut down networking,
removed the ns83820 module, started up networking, problem remains;
NIC can't even pull a DHCP address. Shut down networking, removed the
module, manually inserted the module, started up networking, problem
remains.

Other facts: athlon 1800XP system, nforce2 motherboard, nforce
ethernet NIC works great....

Comment 4 David Lawrence 2004-09-29 20:22:12 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.